Is there a downside to using older firmware?

Discussion in 'Acekard' started by The_Office_owns, Feb 1, 2010.

  1. The_Office_owns
    OP

    Newcomer The_Office_owns Advanced Member

    Joined:
    Oct 7, 2009
    Messages:
    86
    Country:
    United States
    So my games weren't saving and I was trying to return the Acekard to real hot stuff. The guy at Real Hot Stuff gave me a weird suggestion...downgrade the firmware...and it worked.

    Is there something potentially negative about downgrading? Won't there be games with right protection that I won't be able to play? Thanks.
     
  2. EyeZ

    Member EyeZ GBAtemp Addict

    Joined:
    Dec 4, 2009
    Messages:
    2,336
    Country:
    United Kingdom
    Yes, the games you were previously able to play due to the firmware updates, you will now find unplayable
     
  3. Danny Tanner

    Member Danny Tanner GBAtemp Fan

    Joined:
    Dec 28, 2009
    Messages:
    361
    Location:
    New York
    Country:
    United States
    Yeah there will be games you can't play, but which firmware are you using? If you're using the official, I'd suggest switching to AKAIO, I haven't heard many saving problems, with the latest build (just some Zelda ST save stuff).

    EDIT: Just saw your other thread. That's strange about the latest AKAIO. Don't really know what else to say, besides you could probably manually patch most games that don't work.
     
  4. The_Office_owns
    OP

    Newcomer The_Office_owns Advanced Member

    Joined:
    Oct 7, 2009
    Messages:
    86
    Country:
    United States
    How do you manually patch games?
     
  5. The_Office_owns
    OP

    Newcomer The_Office_owns Advanced Member

    Joined:
    Oct 7, 2009
    Messages:
    86
    Country:
    United States
    Is there like a list of popular ones that you know of?
     
  6. EyeZ

    Member EyeZ GBAtemp Addict

    Joined:
    Dec 4, 2009
    Messages:
    2,336
    Country:
    United Kingdom
    I could not possibly give you a list of games that you are not able to play due to your downgrade.

    EDIT - If I was in your shoes, I would be looking at a replacement cart from where I purchased it.
     
  7. Leonidas

    Member Leonidas GBAtemp Fan

    Joined:
    Aug 27, 2009
    Messages:
    479
    Location:
    sLOVEnia
    Country:
    Slovenia
    If you use the 4.07 firmware, it's dated 26.6.2008, which means all games released after that are in danger of not working properly or not working at all. This is particularly true for games, that require special save files, or games with copy protections. It is possible to get patches or patched versions of some games, which are mostly meant to work on obsolete R4 carts.

    Some games that are in danger territory for you are:

    - COP The Recruit
    - Chrono Trigger
    - Grand Theft Auto CW
    - Mario & Luigi BIS
    - M&M Clash of Heroes
    - Zelda: Spirit Tracks
    - Pokemon Platinum - needs 1MB save file, otherwise it crashes somewhere by the 5th trainer.

    You really should ask for a replacement, because it appears you are going to be stuck with this kernel for good.
     
  8. The_Office_owns
    OP

    Newcomer The_Office_owns Advanced Member

    Joined:
    Oct 7, 2009
    Messages:
    86
    Country:
    United States
    Fortunately RHS is very fast at responding. He said I have 90 days to return it so I'm gonna wait to see if Pokemon HGSS work in a month.

    Also I've noticed that GTA and Mario/Luigi has been working fine so far...is it going to stop working at some point? Do you guys provide patches on this site?
     

Share This Page